// creator  : weidu.exe (version 23100)
// argument : _KERRAC.DLG
// game		 : .
// source	 : ./override/_KERRAC.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_KERRAC~

IF ~True()
~ THEN BEGIN 0 // from:
  SAY #81482 /* ~Ho there, watch your step on the wharves, hereabouts. The sea spray can make the cobbles a touch treacherous... My name is Kerrachus. Is there anything I can help you with?~ */
  IF ~~ THEN REPLY #81483 /* ~What do you do here?~ */ GOTO 1
  IF ~~ THEN REPLY #81484 /* ~I've never seen such a big city!~ */ GOTO 6
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #81485 /* ~Aye, I be the Dukes' own dockhand, if you will... Well, alright, I'm just a dockhand like any other but I've been aboard the royal galleys to unload wares from the New World.~ */
  IF ~~ THEN REPLY #81486 /* ~A 'New World'? Is there some sort of dimensional portal in the middle of the sea through which you pass to get there?~ */ GOTO 2
  IF ~~ THEN REPLY #81487 /* ~Well, you shall always have the title of Dockhand to the Dukes in my mind, Kerrachus. Alas, I cannot tarry here. Perhaps we'll talk another day.~ */ GOTO 5
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #81488 /* ~'Tis better yet! They say now that the world is no longer flat, that it has become round, a perfect sphere wrapped 'round itself like a wizard's crystal. We perch atop its upright half and the New World of Maztica clings to its underside like so many bats! Someday I shall sneak aboard one of these ships that I might see such wonders!~ */
  IF ~~ THEN REPLY #81489 /* ~Your New World is no hero's quest but rather a blind fool's errand. I have read that between the brutality of the Flaming Fist and the witless terror of Amn, your precious New World has been coated with the blood of its innocents ten times over!~ */ GOTO 3
  IF ~~ THEN REPLY #81490 /* ~Your ravings breathe with more fantasy than fact! I will stick to my theories of dimensions and portals for, if nothing else, they contain a greater potential for truth than your fictions!~ */ GOTO 4
  IF ~~ THEN REPLY #81491 /* ~Hurrah to your New World, then, Kerrachus, whatever shape it takes. Alas, I cannot tarry here. Perhaps we'll talk another day.~ */ GOTO 5
  IF ~Global("X#GarKer","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#GarKer","GLOBAL",1)~ EXTERN ~_GARRIJ~ 86
  IF ~Global("X#ImoenKerruch","GLOBAL",0)
InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#ImoenKerruch","GLOBAL",1)~ EXTERN ~_IMOEN2~ 184
END

IF ~~ THEN BEGIN 3 // from: 2.0 _IMOEN2:193.0 _IMOEN2:188.0 _IMOEN2:186.0 _GARRIJ:86.0
  SAY #81492 /* ~Aye, the New World's conquerors may be fools but its historians shall be wiser. Regardless of how red run the rivers now, the pages of history shall read only as we write them: rivers pristine and blue and a lush and open continent void of all inhabitants... Therein lies the secret strength of empires: they can afford the folly of constructed memories.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 2.1 _IMOEN2:193.1 _IMOEN2:188.1 _IMOEN2:186.1 _GARRIJ:86.1
  SAY #81493 /* ~Nothing changes with as much rapidity and stealth as the iron truths of science...~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 2.2 1.1 _IMOEN2:193.2 _IMOEN2:188.2 _IMOEN2:186.2 _GARRIJ:86.2
  SAY #81494 /* ~If I haven't stowed myself away in the hold of one of these ships in your absence, that is.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 0.1
  SAY #81495 /* ~True, but they say Waterdeep to the North is even ten times the size. I hope to sail there, someday, and rest awhile in its bustling port.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END
